<?php

/**
 * AUX Inline Featured Card Group template
 */

use WP_AUX\Services\AuxCF\BlocksService;
use WP_AUX\Services\AuxFramework\CardGroupService;

$cardsLayout = get_field('featured_card_group_layout_switch');

$section = BlocksService::getSection(('inline' === $cardsLayout) ? 'inline-card-group' : 'card-group');

if ('standard' === $cardsLayout) {
  $section->addComponentModifier('hybrid-standard');
}

$section->setContent(
  CardGroupService::createFeatureCardGroup($section,'inline', $cardsLayout)
);

echo $section;
